=== modified file 'loggerhead/config.py'
--- loggerhead/config.py	2009-04-07 19:00:26 +0000
+++ loggerhead/config.py	2009-04-16 22:28:17 +0000
@@ -4,6 +4,14 @@
 import tempfile
 
 
+_temporary_sql_dir = None
+
+def _get_temporary_sql_dir():
+    global _temporary_sql_dir
+    if _temporary_sql_dir is None:
+        _temporary_sql_dir = tempfile.mkdtemp(prefix='loggerhead-cache-')
+    return _temporary_sql_dir
+
 def command_line_parser():
     parser = OptionParser("%prog [options] <path>")
     parser.set_defaults(
@@ -11,6 +19,7 @@
         show_version=False,
         log_folder=None,
         use_cdn=False,
+        sql_dir=None,
         )
     parser.add_option("--user-dirs", action="store_true", dest="user_dirs",
                       help="Serve user directories as ~user.")
@@ -38,6 +47,8 @@
                       help="Print the software version and exit")
     parser.add_option('--use-cdn', action='store_true',
                       help="Serve YUI from Yahoo!'s CDN")
+    parser.add_option('--cache-dir', dest='sql_dir',
+                      help="The directory to place the SQL cache in")
     return parser
 
 
@@ -48,7 +59,10 @@
         self._parser = command_line_parser()
         self._options, self._args = self._parser.parse_args(sys.argv[1:])
 
-        self.SQL_DIR = tempfile.mkdtemp(prefix='loggerhead-cache-')
+        sql_dir = self.get_option('sql_dir')
+        if sql_dir is None:
+            sql_dir = _get_temporary_sql_dir()
+        self.SQL_DIR = sql_dir
 
     def get_option(self, option):
         '''Get an option from the options dict.'''

